Package com.enonic.xp.node

## Enum SnapshotResult.State

- java.lang.Object
- - java.lang.Enum<SnapshotResult.State>
  - - com.enonic.xp.node.SnapshotResult.State

- All Implemented Interfaces:
    `Serializable`, `Comparable<SnapshotResult.State>`
  Enclosing class:
    SnapshotResult

      public static enum SnapshotResult.State
      extends Enum<SnapshotResult.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FAILED` |
    `IN_PROGRESS` |
    `PARTIAL` |
    `SUCCESS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SnapshotResult.State` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SnapshotResult.State[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final SnapshotResult.State SUCCESS

    - #### FAILED

          public static final SnapshotResult.State FAILED

    - #### PARTIAL

          public static final SnapshotResult.State PARTIAL

    - #### IN_PROGRESS

          public static final SnapshotResult.State IN_PROGRESS

  - ### Method Detail

    - #### values

          public static SnapshotResult.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SnapshotResult.State c : SnapshotResult.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SnapshotResult.State valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null